player_actarray_multi_position_cmd Struct Reference

Command: Multiple Joint position control (PLAYER_ACTARRAY_CMD_MULTI_POS) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | positions_count
| The number of actuators in the array. More...
float * | positions
| The positions for each joint/actuator. More...

## Detailed Description

Command: Multiple Joint position control (PLAYER_ACTARRAY_CMD_MULTI_POS)

Tells all joints/actuators to attempt to move to the given positions.

## Member Data Documentation

float* player_actarray_multi_position_cmd::positions

The positions for each joint/actuator.

uint32_t player_actarray_multi_position_cmd::positions_count

The number of actuators in the array.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45